=== debian/changelog ===
cis-tools (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1072579)
  * Makefile: Use default rule to link pack_cis

 -- Ben Hutchings <benh@debian.org>  Sun, 18 May 2025 21:25:23 +0200
