=== debian/control ===
Source: cis-tools
Section: devel
Priority: optional
Maintainer: Ben Hutchings <benh@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 bison,
 flex,
Standards-Version: 4.7.2
Homepage: https://git.kernel.org/pub/scm/utils/cis-tools/cis-tools.git
Vcs-Browser: https://salsa.debian.org/kernel-team/cis-tools
Vcs-Git: https://salsa.debian.org/kernel-team/cis-tools.git

Package: cis-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: PCMCIA CIS file tools
 This package provides the commands dump_cis and pack_cis, used to
 convert between PCMCIA CIS binaries and a textual representation.
