=== debian/watch ===
version=4
opts="mode=git, gitmode=shallow, pgpmode=gittag" \
https://git.kernel.org/pub/scm/utils/cis-tools/cis-tools.git \
refs/tags/cis-tools-(.*) debian
